<nz-card [nzTitle]="cardTitle" [nzExtra]="cardExtra">
  <ng-template #cardTitle>
    {{"Military.War.ActiveBattles" | translate}}
  </ng-template>
  <ng-template #cardExtra>
    <a target="_blank" href="{{hostUrl}}/battle/all">
      {{"General.Common.ViewAll" | translate }}
    </a>
  </ng-template>
  <div class="listitem-container">
    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
      <div class="battlesBox">
        <div class="battles-tabs">
          <nz-tabset nzSize="small" [(nzSelectedIndex)]="currentTab" (nzSelectedIndexChange)="changeTab()">
            <nz-tab [nzTitle]="titleTemplate2">
              <ng-template #titleTemplate2> <img class="image-tab" height="28"
                  src="{{hostUrl}}/assets/img/misc/war_international.png" />
                {{"Miscellaneous.Homepage.International" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate" style="margin-right: 30px;">
              <ng-template #titleTemplate>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/war_national.png" />
                {{"Miscellaneous.Homepage.National" | translate }}
              </ng-template>
            </nz-tab>
          </nz-tabset>
          <div class="tab-content">
            <div *ngIf="list.length === 0" class="padded" style="text-align: left; display: block; overflow: hidden;">
              <nz-alert nzType="info" nzMessage="There are no battles." nzShowIcon></nz-alert>
            </div>
            <ng-container *ngIf="list.length > 0">
              <div ngClass="battle listitem item-{{i}}" nz-row nzType="flex" nzJustify="space-between" nzAlign="middle"
                *ngFor="let item of list; let i = index">
                <div nz-col ngClass="opponent"><a href="{{hostUrl}}/country/{{item.attackerId}}" target="_blank">
                    <img src="{{hostUrl}}/{{item.attacker.avatarLocation}}">
                    <img *ngIf="item.isResistance == true" class="resImg"
                      src="{{hostUrl}}/assets/img/ico/events/resistancew.png">
                  </a>
                  <div class="country-score green">{{item.attackerDamage}}</div>
                </div>
                <div nz-col ngClass="battle-line">VS</div>
                <div nz-col ngClass="opponent">
                  <a href="{{hostUrl}}/country/{{item.defenderId}}" target="_blank">
                    <img src="{{hostUrl}}/{{item.defender.avatarLocation}}">
                  </a>
                  <div class="country-score red">{{item.defenderDamage}}</div>
                </div>
                <div nz-col ngClass="information">
                  <div class="battle-region">
                    <a href="{{hostUrl}}/region/{{item.regionId}}">
                      {{item.regionName}}
                    </a>
                    <br />
                    <span class="battle-time">
                      {{item.timeLeft}}
                    </span>
                  </div>
                </div>
                <div nz-col ngClass="actions">
                  <a nz-button nzType="danger" target="_blank" href="{{hostUrl}}/battle/{{item.id}}">Fight</a>
                </div>
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </nz-spin>
    <div class="vAll">
      <a target="_blank" href="{{hostUrl}}/battle/all">{{"General.Common.ViewAll" | translate }}</a>
    </div>
  </div>
</nz-card>